#include <gui/Colormap.h>
#include <ui_Colormap.h>

#include <QColorDialog>

//----------------------------------------------------------
ColorMap::ColorMap(QWidget* parent, Qt::WindowFlags f)
  : QDialog(parent, f),
    ui_(new Ui::ColormapBase)
//----------------------------------------------------------
{
  ui_->setupUi(this);
  setColor(ui_->w_button0_, Qt::gray);
  setColor(ui_->w_button1_, Qt::red);
  setColor(ui_->w_button2_, Qt::green);
  setColor(ui_->w_button3_, Qt::blue);
  setColor(ui_->w_button4_, Qt::yellow);
  setColor(ui_->w_button5_, Qt::cyan);
  setColor(ui_->w_button6_, Qt::magenta);
  setColor(ui_->w_button7_, Qt::white);
  setColor(ui_->w_button8_, Qt::black);
}

//----------------------------------------------------------
ColorMap::~ColorMap()
//----------------------------------------------------------
{
  delete ui_;
}
  

//----------------------------------------------------------
void ColorMap::setColor(QToolButton *w_button, QColor color)
//----------------------------------------------------------
{
  QString style = QString("background: %1").arg(QColor(color).name());
  w_button->setStyleSheet(style);
}
