#ifndef VISUALIZATION_DIALOG_2D_H
#define VISUALIZATION_DIALOG_2D_H

#include <QDialog>

class Viewer_2D;
class ApplicationWindow;
class QCheckBox;

/** Defines the dialog for visulization settings for 
 *  the 2D viewer
 *
 *  \author Benjamin Kehlet
 *  \since 2011-05-11
 *  \date  2010-05-11
 */

class VisualizationDialog_2D : public QDialog 
{
  Q_OBJECT;

 public:
  VisualizationDialog_2D(Viewer_2D* viewer, ApplicationWindow* parent);
  //~VisualizationDialog_2D();
 private :
  Viewer_2D* viewer;
  QCheckBox* showAxes;
};

#endif
