#ifndef Gui_Axes2D_h_Included             // -*- C++ -*-
#define Gui_Axes2D_h_Included   

#include <QGraphicsItemGroup>
#include <QRectF>
#include <QPointF>

class QPainter;
class QStyleOptionGraphicsItem;
class QWidget;

class Axes_2D : public QGraphicsItemGroup
{
 public:
  Axes_2D(double min_x, double max_x, double min_y, double max_y);

 private:
  QPointF lower_x, upper_x, lower_y, upper_y;
  
  double arrowSize;
};

#endif
