#ifndef Gui_COLOR_MAP_H                // -*- C++ -*-
#define Gui_COLOR_MAP_H

#include <QDialog>
#include <QColor>

class QToolButton;
namespace Ui { class ColormapBase; }

/**
 * 
 *
 * \ingroup gui
 *
 * @author Yvon Halbwachs
 */

class ColorMap : public QDialog
{
  Q_OBJECT;
  
public:
  /** Uncommented */
  ColorMap(QWidget * parent = 0, Qt::WindowFlags f = 0);
  
  /** Uncommented */
  ~ColorMap();  
  
private:

  Ui::ColormapBase* ui_;
  void setColor(QToolButton *w_button, QColor color);  
  
};

#endif // Gui_COLOR_MAP_H
