/*
 * SimRes viewer.
 */

#include <gui/ApplicationWindow.h>
#include <gui/Context.h>
#include <gui/Viewer.h>

#include <QApplication>

int main(int argc,char **argv)
{
  QApplication::setColorSpec( QApplication::ManyColor );
  QApplication app( argc, argv );

  // Create a  window to render into
  ApplicationWindow* mw = new ApplicationWindow();
  mw->show();

  // Open file given on command line
  if (argc > 1)
  {
    QString last_argument(argv[argc-1]);
    if (!last_argument.startsWith("-"))
    {
      mw->context()->importDolfinMesh(last_argument);
    }
  }


  return app.exec();
}
